{{- if .Values.wijkpaspoort.ingress.enabled -}}
{{- $releaseName := .Release.Name -}}
{{- $serviceName := include "wijkpaspoort.fullname" . }}
{{- $extraPaths := .Values.wijkpaspoort.ingress.extraPaths -}}
apiVersion:  {{ template "ingress.apiVersion" . }}
kind: Ingress
metadata:
{{- if .Values.wijkpaspoort.ingress.annotations }}
  annotations:
{{ toYaml .Values.wijkpaspoort.ingress.annotations | indent 4 }}
{{- end }}
  labels:
    {{- include "wijkpaspoort.labels" . | nindent 4 }}
{{- range $key, $value := .Values.wijkpaspoort.ingress.extraLabels }}
    {{ $key }}: {{ $value }}
{{- end }}
  name: {{ template "wijkpaspoort.fullname" . }}
{{ include "wijkpaspoort.namespace" . | indent 2 }}
spec:
  rules:
  {{- range .Values.wijkpaspoort.ingress.hosts }}
  - host: {{ . }}
    http:
      paths:
        - path: /
          pathType: Prefix
          backend:
            service:
              name: {{ $serviceName }}
              port:
                name: http
  {{- end -}}
{{- if .Values.wijkpaspoort.ingress.tls }}
  tls:
{{ toYaml .Values.wijkpaspoort.ingress.tls | indent 4 }}
  {{- end -}}
{{- end -}}
